%%%
%%%  This is file `KNTU_thesis.cls',
%%%  Version 1.72  modified
%%%  The original file was `Tabriz_thesis.cls' by Vahid Damanafshan  <     http://www.damanafshan.ir
%%%   __________________________________
%%%
%%%  Last Modified Azar 15th, 1396.
%%%  ----  !Tex root = ./Thesis.tex  was added to all chapter files.
%%%  ----  \bidi@preto{\resetlatinfont}{\@Latintrue}   was added to modify reference numbering.
%%%  Last Modified Mehr 23RD, 1396.
%%%  ----  AutoFakeBold option is added to IranNastaliq font.
%%%  Last Modified Mehr 10th, 1396.
%%%  ----  Major modifications have beed done by Dr. Khalighi
%%%  Last Modified Tir 28th, 1396.
%%%  ----  \selectfont is replaced where it was necessary.
%%%  ----  Necessary changes was done to incorporate Yas font in everywhere a number exists.
%%%  Last Modified Tir 28th, 1396.
%%%  ----  The definition of IRLotus font changed in order to be consistent with different platforms.
%%%  Last Modified Mehr 25th, 1395.
%%%  ----  Adding zref-perpage package
%%%  ----  Changing text font to IRLotus
%%%  ----  Changing digit  font to Yas
%%%  ----  \setcounter{secnumdepth}{2}
%%%  ----  \setcounter{tocdepth}{1}
%%%  Last Modified Mehr 2th, 1394.
%%%  ----  Adding pgfplots package
%%%  ----  : is removed after ``Negaresh'' inf persian title page
%%%  ----  Latin title page is modified
%%%  ----  ./FrontMat/Settings.tex is modified
%%%  ----  ./FrontMat/Symbols.tex is modified
%%%  Last Modified Mehr 19th, 1394.
%%%  ----  Package ``cite'' is added to the class file.
%%%  Last Modified Khordad 17th, 1394.
%%%  ----  Option ``[Version=3]''  is added to ``mchchem'' package
%%%  ----  The command ``subfigure'' is equated to ``subfloat''
%%%  Last Modified Mehr 29th, 1393.
%%%  ----  If the there are two advisors, their names are printed in two sucucessive lines
%%%  Last Modified Mehr 27th, 1393.
%%%  ----  Adding Keywords are modified in both english and persian abstract
%%%  ----  setting Paragraph footnotes.
%%%  Last Modified Shahrivar 18th, 1393.
%%%  ----  Adding ``Times New Roman'' as default latin text font
%%%  ----  Adding tikz 
%%%  Last Modified Shahrivar 16th, 1393.
%%%  ----  Adding ``Listings'' package
%%%  Last Modified Mordad 19th, 1393.
%%%  ----  Making quickindex an option for xepersian
%%%  Last Modified Day 22nd, 1392.
%%%  ----  graphic path is changed to \graphicspath{ {Images/} }
%%%  Last Modified Azar 21st, 1392.
%%%  ----  \Thesis command is defined
%%%  ----  Some Modifications was made in  اصالت اثر section
%%%  ----  The command "Namad" in the file "Symbols.tex" was modified.
%%%  Last Modified Shahrivar 18th, 1392.
%%%  ----  Setting quickindex option for xepersian package.
%%%  ----  Modifying `نمایه' entry in TOC
%%%  Last Modified Shahrivar 16th, 1392.
%%%  ----  Some Clean-up
%%%  ----  Removing settextfont from Settings.tex file.
%%%  ----  Correcting copyright information.
%%%  Last Modified Shahrivar 16th, 1392.
%%%  ----  Removing 'Command.tex' file and inserting everything into a single sty file.
%%%  ----  Correcting the List of Symbol file.
%%%  ----  Some bugs fixed
%%%  Last Modified Shahrivar 10th, 1392.
%%%  ----  Abstract Page modified
%%%  Last Modified Shahrivar 5th, 1392.
%%%  Last Modified Shahrivar 4th, 1392.
%%%  Last Modified Mordad 31st, 1392.
%%%  Last Modified Mordad 27th, 1392.
%%%  Last Modified Mordad 17th, 1392.
%%%  The original file was Tabriz_thesis.cls by Vahid Damanafshan
%%%   __________________________________
%%%   Copyright © 2013 Farschad Torabi
%%%  
%%%   http://sahand.kntu.ac.ir/~ftorabi
%%%   http://www.damanafshan.ir
%%%   http://www.parsilatex.com  
%%%   http://forum.parsilatex.com
%%%   __________________________________
%%%   
%%%   Modifications History
%%%   1- Adding \id for requesting Student ID
%%%   2- Adding \secondname, \secondsurname, \secondid, 
%%%      \latinid, \latinsecondname, \latinsecondsurname and \latinsecondidfor coworker students.
%%%   3- Adding Besmellah Page 
%%%   4- Modifying Signature command  
%%%   5- Adding CopyRight sheet
%%%   6- Adding Oath sheet
%%%   7- Adding Graduation Office Member Name for graduate studies.
%%%   
%%%   
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{KNTU_thesis}
              [08/04/2012 v0.4
 Persian thesis document class in XeLaTeX for Khaje Nasireddin Toosi University of Technology projects/theses/dissertations]
\newif\if@bscthesis
\newif\if@mscthesis
\newif\if@phdthesis
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\DeclareOption{bsc}{\@bscthesistrue}
\DeclareOption{msc}{\@mscthesistrue}
\DeclareOption{phd}{\@phdthesistrue}
\ProcessOptions
\LoadClass[a4paper,11pt]{book}
%%%%%%%%%  Packages  %%%%%%%%%%%%%%%%%
%-------------------------------------------------------------------------------------------------------------------

% در ورژن جدید زی‌پرشین برای تایپ متن‌های ریاضی، این سه بسته، حتماً باید فراخوانی شود
\RequirePackage{amsthm,amssymb,amsmath,MnSymbol,ifsym}
%\tikzstyle{arrow} = [thick,->,>=stealth]

% بسته‌ای برای تنطیم حاشیه‌های بالا، پایین، چپ و راست صفحه
\RequirePackage[top=30mm, bottom=30mm, left=25mm, right=35mm, showframe=false]{geometry}
% بسته‌‌ای برای ظاهر شدن شکل‌ها و تصاویر متن
\RequirePackage{multicol}
\RequirePackage{graphicx}
\RequirePackage{rotating}
%\RequirePackage{subfigure}
%\RequirePackage{subfig}
\RequirePackage{subcaption}
% بسته‌ای برای رسم کادر
\RequirePackage{setspace}

\RequirePackage{framed} 
% بسته‌ای برای نوشن برنامه‌های کامپیوتری
\RequirePackage{listings} 
% بسته‌‌ای برای چاپ شدن خودکار تعداد صفحات در صفحه «معرفی پایان‌نامه»
\RequirePackage{lastpage}
\RequirePackage{cite}
\RequirePackage[font=small]{caption}
% بسته‌ و دستوراتی برای ایجاد لینک‌های رنگی با امکان جهش
\RequirePackage[pagebackref=false,colorlinks,linkcolor=black,citecolor=black]{hyperref}
% چنانچه قصد پرینت گرفتن نوشته خود را دارید، خط بالا را غیرفعال و  از دستور زیر استفاده کنید چون در صورت استفاده از دستور زیر‌‌، 
% لینک‌ها به رنگ سیاه ظاهر خواهند شد که برای پرینت گرفتن، مناسب‌تر است
%\usepackage[pagebackref=false]{hyperref}
% بسته‌ لازم برای تنظیم سربرگ‌ها
\RequirePackage{fancyhdr}
% بسته‌ای برای ظاهر شدن «مراجع»  در فهرست مطالب
\RequirePackage[nottoc]{tocbibind}
\setcounter{secnumdepth}{2}
\setcounter{tocdepth}{1}
% بسته‌ای برای نگارش معادلات شیمیایی
\RequirePackage[version=3]{mhchem}
%بسته برای رسم جداول چند ستون و یا چند سطره
\RequirePackage{multirow}
\RequirePackage{multicol}
%%%%%%%%%%%%%%%%%%%%%%%%%Sub caption
\RequirePackage{adjustbox}



% بسته‌ای برای ترسیم نمودار
\RequirePackage{tikz}
\RequirePackage{pgfplots}
\usepgfplotslibrary{fillbetween}
\usetikzlibrary{shapes,snakes,arrows, chains, positioning, quotes, shapes.geometric,datavisualization.formats.functions, arrows.meta} 
\usetikzlibrary{decorations.text}
%  ریست کردن شمارنده‌ی فوت‌نوت در هر صفحه!
\RequirePackage{zref-perpage}
\zmakeperpage{footnote}

\RequirePackage{fancyref}


% دستورات مربوط به ایجاد نمایه
\RequirePackage{makeidx}
\makeindex
%%%%%%%%%%%%%%%%%%%%%%%%%%
% فراخوانی بسته زی‌پرشین و تعریف قلم فارسی و انگلیسی

\graphicspath{ {Images/} }


\def\university#1{\gdef\@university{#1}}
\def\department#1{\gdef\@department{#1}}
\def\degree#1{\gdef\@degree{#1}}
\def\thesisdate#1{\gdef\@thesisdate{#1}}
\newcommand{\firstInternal}[1]{\def\@firstInternal{#1}}
\newcommand{\secondInternal}[1]{\def\@secondInternal{#1}}
\newcommand{\firstExternal}[1]{\def\@firstExternal{#1}}
\newcommand{\secondExternal}[1]{\def\@secondExternal{#1}}
\newcommand{\firstsupervisor}[1]{\def\@firstsupervisor{#1}}
\newcommand{\secondsupervisor}[1]{\def\@secondsupervisor{#1}}
\newcommand{\firstadvisor}[1]{\def\@firstadvisor{#1}}
\newcommand{\secondadvisor}[1]{\def\@secondadvisor{#1}}
\def\name#1{\gdef\@name{#1}}
\def\surname#1{\gdef\@surname{#1}}
%--------- F. Begin
\def\grade#1{\gdef\Gr@de{#1}}
\def\gradeHarfi#1{\gdef\Gr@deHoroof{#1}}
\def\rank#1{\gdef\R@nk{#1}}
\def\id#1{\gdef\@id{#1}}
\def\secondname#1{\gdef\@secondname{#1}}
\def\secondsurname#1{\gdef\@secondsurname{#1}}
\def\secondid#1{\gdef\@secondid{#1}}
\def\gradmemb#1{\gdef\@gradmemb{#1}}
%--------- F. End
\def\keywords#1{\gdef\Keywords{#1}}
\long\def\faabstract#1{\long\gdef\faAbstract{#1}}
\def\faculty#1{\gdef\@faculty{#1}}
\def\subject#1{\gdef\@subject{#1}}
\def\field#1{\gdef\@field{#1}}
\def\department#1{\gdef\@department{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\latintitle#1{\gdef\@latintitle{#1}}
\def\latinauthor#1{\gdef\@latinauthor{#1}}
\def\latindegree#1{\gdef\@latindegree{#1}}
\def\latinfaculty#1{\gdef\@latinfaculty{#1}}
\def\latinthesisdate#1{\gdef\@latinthesisdate{#1}}
\def\latinsubject#1{\gdef\@latinsubject{#1}}
\def\latinfield#1{\gdef\@latinfield{#1}}
\def\firstlatinsupervisor#1{\gdef\@firstlatinsupervisor{#1}}
\def\secondlatinsupervisor#1{\gdef\@secondlatinsupervisor{#1}}
\def\firstlatinadvisor#1{\gdef\@firstlatinadvisor{#1}}
\def\secondlatinadvisor#1{\gdef\@secondlatinadvisor{#1}}
\def\latinname#1{\gdef\@latinname{#1}}
\def\latinsurname#1{\gdef\@latinsurname{#1}}
%--------- F. Begin
\def\latinid#1{\gdef\@latinid{#1}}
\def\latinsecondname#1{\gdef\@latinsecondname{#1}}
\def\latinsecondsurname#1{\gdef\@latinsecondsurname{#1}}
\def\latinsecondid#1{\gdef\@latinsecondid{#1}}
\def\latingradmemb#1{\gdef\@latingradmemb{#1}}
%--------- F. End
\long\def\enabstract#1{\long\gdef\@enabstract{#1}}
\def\latinkeywords#1{\gdef\@latinkeywords{#1}}
\def\latinuniversity#1{\gdef\@latinuniversity{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\Thesis{ \if@phdthesis
رساله
 \else
  \if@mscthesis
پایان‌نامه
    \else
پروژه
  \fi
 \fi
}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%                Title page                 %%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\vtitle}{


\begin{center}
~\\[2cm]
\includegraphics[width=0.5\textwidth]{FrontMat/Besmellah.pdf}
\end{center}
\thispagestyle{empty}
\newpage
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%                Title page                 %%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \renewcommand{\baselinestretch}{1.3}\selectfont %\settextfont[Scale=1.5,BoldFont={IRlotus}]{IRLotus}
 }
\def\frame{%
\thispagestyle{empty}
\begin{framed}\thispagestyle{empty}}
\def\endframe{\thispagestyle{empty}\end{framed}
\thispagestyle{empty}
\newpage
}
\def\abstractpage{\newpage
\thispagestyle{empty}
\vskip 15mm
\par
\begin{abstract}}
\def\endabstractpage{\end{abstract}
\newpage
}

\def\latinabstract{\newpage
\thispagestyle{empty}
\vskip 15mm
\begin{center}{\Large\bfseries \@latintitle \\[5mm]}
{\bfseries Abstract}
\end{center}
\vspace{5mm}}

\def\endlatinabstract{\newpage}

\def\acknowledgementpage{\newpage
\thispagestyle{empty}

\vspace{1cm}
\par\noindent}
\def\endacknowledgementpage{\newpage}

\def\titlepage{\newpage\centering
  \thispagestyle{empty}
  \parindent 0pt \parskip 10pt plus 1fil minus 1fil
  \def\baselinestretch{1}\@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup}
\def\endtitlepage{\par\kern 0pt\egroup\vss\egroup\newpage}

\def\CheckName#1{\ifdefined #1 
	\ifthenelse{\equal{#1}{}}{Please fill the name in en\_title.tex!}
	{#1}
	\else Please fill the name in en\_title.tex!\fi}

\def\signature{
               \vspace{1cm}
               \begin{flushleft}
                       \ifx\@secondname\undefined%
                          \sbox0{ \scriptsize\CheckName{\@latinname}\ \ \@latinsurname}
                          \parbox{\wd0}{\centering \large \scriptsize\@latinname\ \ \@latinsurname\\ \@latinthesisdate}
                       \else
                          \sbox0{\large \scriptsize\@latinname\ \ \@latinsurname\ \ and \ \ \@latinsecondname\ \ \@latinsecondsurname}
                          \parbox{\wd0}{\centering\large \scriptsize\@name\ \ \@surname\ \  and \ \ \@secondname\ \ \@secondsurname\\ \@thesisdate}
                       \fi
               \end{flushleft}
              }

\def\abstract{\subsection*{\abstractname}\small
\@normalsize}
\def\endabstract{\par}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%           Latin Title page                %%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\font\titlefont=cmssbx10 scaled 2074
\font\supervisorfont=cmbxti10

\newcommand{\latinvtitle}{%
\pagestyle{empty}
\begin{titlepage}
\vspace{-0.5cm}{\includegraphics[height=4.3cm]{FrontMat/KNTU-Arm.png}}
\centerline{\bf \@latinuniversity} 
\large\bfseries
\@latinfaculty\space 
\vskip 5mm
 \if@phdthesis
Doctoral Thesis Submitted in Partial 
\\[.2cm]
Fulfillment of The  Requirements For The
\\[.2cm]
Degree of Doctor of Science in \par
\else
Dissertation Submitted in Partial 
\\[.2cm]
 Fulfillment of The Requirements For The
\\[.2cm]
\if@mscthesis
Degree of Master of Science in\par
\else
Degree of Bachelor of Science in\par
\fi
\fi
{\large\bfseries \@latinfield}
\vskip 1cm
\baselineskip=.750cm
{\titlefont \@latintitle}
\vfill
{\bfseries\latinby}\par\vskip -3mm
{\Large %
\ifx\@latinsecondname\undefined%
{\rm\Large\bfseries\@latinname \; \@latinsurname}
\else
\textrm{\@latinname \; \@latinsurname } \par and  \par
\textrm{\@latinsecondname \; \@latinsecondsurname }
\fi
}\par
\vskip 5mm
%
\baselineskip=.750cm \par
\large
{\ifx\@firstlatinsupervisor\undefined%
\ifx\@secondlatinsupervisor\undefined%
\else\fi
\else
\ifx\@secondlatinsupervisor\undefined%
Supervisor
{\Large\bfseries\par
\@firstlatinsupervisor}
\else
\large
Supervisors
\par
{\Large\bfseries \@firstlatinsupervisor{} and \@secondlatinsupervisor}
\fi\fi}
\par
\large
{\ifx\@firstlatinadvisor\undefined%
\ifx\@secondlatinadvisor\undefined%
\else\fi
\else
\ifx\@secondlatinadvisor\undefined%
Advisor
{\Large\bfseries\par
\@firstlatinadvisor}
\else

\large
Advisors
\par
{\Large\bfseries\@firstlatinadvisor{} and \@secondlatinadvisor}
\fi\fi}
\vskip 5mm
\vfill
{\@latinthesisdate}
\par
\vskip 1cm

%
\end{titlepage}
\clearpage
\renewcommand{\baselinestretch}{1}\selectfont 
\chapter*{Abstract}
\thispagestyle{empty}
\@enabstract \par\noindent\textbf{Keywords:\ }\@latinkeywords
}

\def\onvan{Title}
\def\writtenfor{برای دریافت درجه }
\def\by{
        \ifx\@secondname\undefined%
        نگارش
        \else
        نگارش:
        \fi
       }
\def\latinby{by}
\def\cleardoublepage{\clearpage\if@twoside \ifodd\c@page\else
\hbox{}
\thispagestyle{empty}
\newpage
\if@twocolumn\hbox{}\newpage\fi\fi\fi}




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%                          Copy Right                     %%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\CopyRight{
~\\[-3.0cm]
\begin{center}
\includegraphics[width=3cm]{./FrontMat/KNTU-Arm.png}\\
{\textbf{K. N. Toosi University of Technology}}
\textbf{\@\latinfaculty}\\
\textbf{{ \Large  }\\[0.2cm]}
\textbf{{ \Large  Copyright }\\[1cm]}
\end{center}
Copyright in this work rests with the author. Please ensure that any reproduction
or re-use is done in accordance with  K. N. Toosi University of Technology policies:


\begin{itemize}
\item[$\square$]  Can be used in any form and any work for everyone without any special license.
\item[$\square$] Can be used only by official letter from the advisor and proper citation.
\item[$\square$] Can not be used until ............... in any documentation.
\end{itemize}
\markboth{}{}
\thispagestyle{empty}
\vspace{1cm}
\hfill 
\begin{enumerate} 
\ifx\@secondlatinsupervisor\undefined%
\item[] Supervisor: \textbf{\@firstlatinsupervisor} \dotfill signature \hspace{2cm}~\\
\else
\item First supervisor: \textbf{\@firstlatinsupervisor} \dotfill signature\hspace{1.5cm}~\\
\item Second supervisor: \textbf{\@secondlatinsupervisor} \dotfill signature\hspace{1.5cm}~\\
\fi
\end{enumerate}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Refrees
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\Referee{
~\\[-3.0cm]
\begin{center}
\includegraphics[width=3cm]{./FrontMat/KNTU-Arm.png}\\
\textbf{\@latinfaculty}\\
\textbf{{ \Large  }\\[-0.2cm]}
\textbf{{ \Large 
Defence Statement Form for M.Sc. Thesis}\\[0.5cm]}
\end{center}

The defence session for M.Sc. Thesis performed by Mr 
{\bfseries
        \ifx\@secondname\undefined%
          \@latinname\ \ \@latinsurname
        \else
          \@latinname\ \ \@latinsurname\ \
        \fi
}  with student ID:~9510574 in
{\@latinfield} specialisation {\@latinsubject,} on  
{\@latinthesisdate\ } 
at
{\@latinuniversity} entitled
{\bfseries\@latintitle}.
~\\[0.5cm]
We hereby approve the thesis. \\


\ifx\@firstadvisor\undefined%
\def\NextItemSettings{ \dotfill signature \hspace{2.5cm~}\\[+3mm]}
\ifx\@secondsupervisor\undefined%
\else
\def\NextItemSettings{ \dotfill signature \hspace{2.5cm~}\\[1mm]}
\fi
\else
\ifx\@secondadvisor\undefined%
\def\NextItemSettings{ \dotfill signature \hspace{2.5cm~}\\[+1.8mm]}
\else
\def\NextItemSettings{ \dotfill signature \hspace{2.5cm~}\\[-0.5mm]}
\fi
\fi
\hfill 

~\\[-1.5cm]
\begin{enumerate} 
\ifx\@secondsupervisor\undefined%
\item Supervisor: \textbf{\CheckName{\@firstlatinsupervisor}}\NextItemSettings
\else
\item استاد راهنمای اول: \textbf{\CheckName{\@firstsupervisor}} \NextItemSettings
\item استاد راهنمای دوم: \textbf{\CheckName{\@secondsupervisor}} \NextItemSettings
\fi
\ifx\@secondadvisor\undefined%
\ifx\@firstadvisor\undefined%
\relax
\else
\item استاد مشاور: \textbf{\CheckName{\@firstadvisor}} \NextItemSettings
\fi
\else
\item استاد مشاور اول: \textbf{\CheckName{\@firstadvisor}} \NextItemSettings
\item استاد مشاور دوم: \textbf{\CheckName{\@secondadvisor}}\NextItemSettings
\fi
\if@phdthesis
\item External examiner: \textbf{\CheckName{\@firstExternal}}\NextItemSettings
\item استاد ممتحن خارجی دوم: \textbf{\CheckName{\@secondExternal}} \NextItemSettings
\item Internal examiner: \textbf{\CheckName{\@firstInternal}} \NextItemSettings
\item استاد ممتحن داخلی دوم: \textbf{\CheckName{\@secondInternal}} \NextItemSettings
\else
\if@mscthesis
\item Internal examiner: \textbf{\CheckName{\@firstInternal}} \NextItemSettings
\item External examiner: \textbf{\CheckName{\@firstExternal}} \NextItemSettings
\else
\ifx\@secondInternal\undefined
\item استاد ممتحن: \textbf{\CheckName{\@firstInternal}} \NextItemSettings
\else
\item استاد ممتحن اول: \textbf{\CheckName{\@firstInternal}} \NextItemSettings
\item استاد ممتحن دوم: \textbf{\CheckName{\@secondInternal}} \NextItemSettings
\fi
\fi
\fi
\if@bscthesis
\relax
\else
\item Agent of graduate studies: \textbf{\CheckName{\@firstInternal}} \NextItemSettings
\fi
\end{enumerate}
}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%              Oath                   %%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



\newcommand{\dd}[1]{\:\;\mathrm{ #1}}
\newcommand{\pow}[2]{\ #1\mbox{$^{#2}$} }
%%%%%%%%%%%%%%%%%%%%%%%%%%
% ت
% دستورهایی برای سفارشی کردن سربرگ صفحات
%\csname@twosidetrue\endcsname
\pagestyle{fancy}
\fancyhf{} 
\fancyhead[OL,EL]{\thepage}
\fancyhead[OR]{\small\rightmark}
\fancyhead[ER]{\small\leftmark}
\renewcommand{\chaptermark}[1]{%
\markboth{\thechapter.\ #1}{}}
%\newcommand{\فا}[1]{#1\index{#1}} 
%\newcommand{\ف}{\index} 
%\newcommand{\فف}[1]{\index{\lr{#1}}}

\newcommand{\LineStretch}[1]{\renewcommand{\baselinestretch}{#1}	
\settextfont[Language=Default,Scale=1.4,BoldFont={IRlotus}]{IRLotus}
} 
	
\setlength{\headheight}{16pt}
	
	

%% 
%% Copyright © 2012-2016      by Dr. Farschad Torabi
%% 
%% Distributable under the LaTeX Project Public License,
%% version 1.3c or higher (your choice). The latest version of
%% this license is at: http://www.latex-project.org/lppl.txt
%% 
%% This work is "maintained" (as per LPPL maintenance status)
%%  by Dr. Farschad Torabi.
%% 
%% 
%% 
%% 
%% Special thanks to Vafa Khalighi for his invaluable hints.
%%
%% End of file `KNTU_thesis.cls'.
